Bug 12995 - REGRESSION: Acrobat 8 plug-in fails to scroll with trackpad two-finger scroll or mouse wheel
Summary: REGRESSION: Acrobat 8 plug-in fails to scroll with trackpad two-finger scroll...
Status: RESOLVED FIXED
Alias: None
Product: WebKit
Classification: Unclassified
Component: Plug-ins (show other bugs)
Version: 523.x (Safari 3)
Hardware: Macintosh OS X 10.4
: P1 Normal
Assignee: Nobody
URL: http://www.cs.cmu.edu/~410/p3/kernel.pdf
Keywords: InRadar, Regression
Depends on:
Blocks:
 
Reported: 2007-03-06 23:15 PST by Matt Hornyak
Modified: 2007-07-05 22:09 PDT (History)
1 user (show)

See Also:


Attachments

Note You need to log in before you can comment on or make changes to this bug.
Description Matt Hornyak 2007-03-06 23:15:33 PST
Attempting to scroll in the Acrobat 8 plug-in document view area using the standard Mac OS 10.4 two-finger trackpad scroll fails.

Steps to reproduce:
1.  Install Acrobat 8 and enable its plug-in
2.  Open a Safari nightly.  Open URL with PDF
3.  Wait for Acrobat 8 plug-in to load PDF
4.  Place mouse pointer over document display area
5.  Attempt to scroll using two-fingered scroll gesture

Actual results:
Nothing happens

Expected results:
Document scrolls

Build date:
Wed Mar 7 5:28:36 GMT 2007 on Mac OS X (Intel) 10.4.8

Additional builds:  
Also happens with nightly build from a few days ago.  I'm not sure about builds prior to that--I haven't used a nightly in about a year.  I don't have a PPC Mac to test on.

Additional information:
Acrobat 8 plug-in scrolls properly using shipping Mac OS X 10.4.8 Safari/WebKit.  I'm testing this on a C2D MacBook Pro
Comment 1 David Kilzer (:ddkilzer) 2007-03-07 02:46:21 PST
Thanks for the bug report, Matt!  Did you already file a Radar bug (bugreport.apple.com) for this?  If so, could you note the Radar number in a new comment and add the "InRadar" keyword to this bug?  Thanks!

Also note that if this bug isn't in WebKit, this Bugzilla bug will eventually be marked RESOLVED/WORKSFORME and a Radar bug opened anyway.  If you're not already an ADC member, you may create a free "online" ADC account at https://connect.apple.com/.

Comment 2 Matt Hornyak 2007-03-07 10:09:09 PST
(In reply to comment #1)
> Thanks for the bug report, Matt!  Did you already file a Radar bug
> (bugreport.apple.com) for this?  If so, could you note the Radar number in a
> new comment and add the "InRadar" keyword to this bug?  Thanks!

The bug doesn't occur in the shipping 10.4.8 version of WebKit.  If I file a radar bug for it, what version and component should I use to indicate that it's working in 10.4.8 but not working in the WebKit nightly build?
Comment 3 Matt Hornyak 2007-03-08 01:06:52 PST
also, scrolling fails with the mouse scroll wheel as well, when I have a mouse connected to the MacBook Pro
Comment 4 Alexey Proskuryakov 2007-03-08 01:57:53 PST
Confirmed with a PowerPC Mac.

Reporter, if you haven't filed a Radar bug yet, please don't bother - that's easier for Apple employees to do.
Comment 5 Mark Rowe (bdash) 2007-03-13 16:21:32 PDT
<rdar://problem/5061022>
Comment 6 Anders Carlsson 2007-04-23 10:27:16 PDT
Committed revision 21042.
Comment 7 Matt Hornyak 2007-04-24 08:46:49 PDT
Verified in tonight's nightly (r21059), using Acrobat 8, on OS X 10.4.9
Comment 8 Matt Hornyak 2007-06-27 13:24:45 PDT
Broken in Safari 3.0.2 on 10.4.10
Comment 9 Mark Rowe (bdash) 2007-07-05 22:09:10 PDT
Safari 3 beta is based on WebKit prior to r21042 when this bug was fixed.